package com.steering.pss.judge.model;

/**
 * 数据库表MCH_THREADER_RESULT所对应的实体类（生成工具：代码生成工具1.0.0.0   访问地址：http://172.16.2.128/tool/）
 * @author WIN-3A78MC3TM5F   date 2019-05-22
 */
@SuppressWarnings("serial")
public class MchThreaderResultEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 是否监制
     */
    private String ifMonitorRcl = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 监制人
     */
    private String producer = "";
    /**
     * 监制到场时间
     */
    private String producerTime = "";
    /**
     * 分切数
     */
    private String outnumCut = "";
    /**
     * 作业支数（有效生产数量）
     */
    private String proNum = "";
    /**
     * 作业重量
     */
    private String proWt = "";
    /**
     * 废品支数
     */
    private String failNum = "";
    /**
     * 废品重量
     */
    private String failWt = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 操作班次
     */
    private String proShift = "";
    /**
     * 操作班组
     */
    private String proGroup = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 操作人
     */
    private String proUser = "";
    /**
     * 操作时间
     */
    private String proTime = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 机器编号
     */
    private String machineNo = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 是否监制
     * @return value
     */
    public String getIfMonitorRcl() {
        return ifMonitorRcl;
    }

    /**
     * 是否监制
     * @param ifMonitorRcl value
     */
    public void setIfMonitorRcl(String ifMonitorRcl) {
        this.ifMonitorRcl = ifMonitorRcl;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 监制人
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制人
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 监制到场时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制到场时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 分切数
     * @return value
     */
    public String getOutnumCut() {
        return outnumCut;
    }

    /**
     * 分切数
     * @param outnumCut value
     */
    public void setOutnumCut(String outnumCut) {
        this.outnumCut = outnumCut;
    }

    /**
     * 作业支数（有效生产数量）
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业支数（有效生产数量）
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支数
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 操作班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 操作班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getProUser() {
        return proUser;
    }

    /**
     * 操作人
     * @param proUser value
     */
    public void setProUser(String proUser) {
        this.proUser = proUser;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getProTime() {
        return proTime;
    }

    /**
     * 操作时间
     * @param proTime value
     */
    public void setProTime(String proTime) {
        this.proTime = proTime;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 机器编号
     * @return value
     */
    public String getMachineNo() {
        return machineNo;
    }

    /**
     * 机器编号
     * @param machineNo value
     */
    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }
}
